-- author: DD ModPassion
-- date: 14.03.2018
-- copyright: DD ModPassion
-- version: farming simulator 17
workshop = {};
function workshop.prerequisitesPresent(specializations)
    return true;
end;
function workshop:load(savegame)
	self.getIsActivatable = VehicleSellingPoint.getIsActivatable;
	self.drawActivate = VehicleSellingPoint.drawActivate;
	self.onActivateObject = VehicleSellingPoint.onActivateObject;
	self.triggerCallback = VehicleSellingPoint.triggerCallback;
	self.sellAreaTriggerCallback = VehicleSellingPoint.sellAreaTriggerCallback;
	self.determineCurrentVehicle = VehicleSellingPoint.determineCurrentVehicle;
	self.sellTriggerId = Utils.indexToObject(self.components, getXMLString(self.xmlFile,"vehicle.workshop#sellTrigger"));
	addTrigger(self.sellTriggerId, "triggerCallback", self);
	self.sellAreaTriggerId = Utils.indexToObject(self.components, getXMLString(self.xmlFile,"vehicle.workshop#sellAreaTrigger"));
	addTrigger(self.sellAreaTriggerId, "sellAreaTriggerCallback", self);
	self.ownWorkshop = true;
	self.vehicleInRange = {};
	self.currentVehicle = nil;
	self.currentVehicleId = 0;
	self.activateText = g_i18n:getText("helpTitle_68");
	self.isEnabled = true;
	self.objectActivated = false;
end;
function workshop:delete()
	if g_currentMission:getIsClient() 
	then
		removeTrigger(self.sellTriggerId)
		removeTrigger(self.sellAreaTriggerId)
    end;
end;
function workshop:mouseEvent(posX, posY, isDown, isUp, button)
end;
function workshop:keyEvent(unicode, sym, modifier, isDown)
end;
function workshop:update(dt)
end;
function workshop:draw()
end;